Trace the parser operation

- « Parle\RParser::tokenId

- Parle\RParser::validate »

- PHP Manual
- Parle\RParser
- Trace the parser operation

# Parle\RParser::trace

(PECL parle >= 0.7.0)

Parle\RParser::trace — Trace the parser operation

### Description

public Parle\RParser::trace(): string

Retrieve the current parser operation description. This can be especially useful to study the parser and to optimize the grammar.

### Parameters

This function has no parameters.

### Return Values

Returns a string with the trace information.